Subject: Re: bug#66753: grep 3.8 now needs pcre2 as input, not pcre

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 21 Jan 2024 23:34:30 -0500

Hi,

Matt Beshara <[email-masked]> writes:

> Hi Guix people,
> I have been working on creating a package definition for
> pulseaudio-equalizer¹ and when built with the current definition of
> the grep package, it prints this error message when running:
>
> grep: Perl matching not supported in a --disable-perl-regexp build
> grep: write error: Broken pipe
>
> Searching for that error message, I came across this:
> https://trac.macports.org/ticket/65800
>
> So it seems that, for version 3.8, the pcre input package for grep
> should be changed to pcre2.  I have made this change in a new
> definition which inherits grep and told my pulseaudio-equalizer
> package to use that as a propagated input, and that causes the error
> to go away.  For the sake of completeness, here’s the definition I
> used:
>
> (define grep-fixed
>  (package
>    (inherit grep)
>    (inputs (list pcre2))))
>
> Best wishes,
> Matt

This appears to have been fixed independently by spacecadet in commit
5b0cea02358044f0cc695bacc3f44db1e220239b ("gnu: grep: Fix PCRE matches
(grep -P).").

Closing!

-- 
Thanks,
Maxim